## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate below-btrfs

Name:           rust-below-btrfs
Version:        0.7.1
Release:        %autorelease
Summary:        Crate for reading btrfs

License:        Apache-2.0
URL:            https://crates.io/crates/below-btrfs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump nix from 0.25 to 0.26
Patch:          below-btrfs-fix-metadata.diff

# bindgen code does not work on 32-bit architectures;
# multiple btrfs_api::open_source::btrfs_sys::bindgen_test_layout_btrfs_ioctl_* test failures
ExcludeArch:    %{arm32} %{ix86}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A crate for reading btrfs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# sudotest tests fail on koji
%cargo_test -- -- --skip btrfs_api::sudotest::
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.7.1-1
- Rebuilt for MSVSphere 9.3

* Tue Aug 01 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.7.1-1
- Update to 0.7.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jan 29 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.3-2
- Also exclude builds on 32-bit ARM architectures

* Wed Jan 18 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.3-1
- Initial Fedora package
